Error
A valid request URL is required to generate request examples{
"models": [
{
"name": "<string>",
"provider": "<string>",
"context_length": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"architecture": {
"modality": "<string>",
"tokenizer": "<string>",
"instruct_type": "<string>",
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
]
},
"accessible_by_keys": [
"<string>"
]
}
],
"total": 123
}Providers
List model details
Lists available models with capability metadata, when available from the model catalog, with optional filtering by query, provider, or keys.
GET
/
api
/
models
/
details
Error
A valid request URL is required to generate request examples{
"models": [
{
"name": "<string>",
"provider": "<string>",
"context_length": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"architecture": {
"modality": "<string>",
"tokenizer": "<string>",
"instruct_type": "<string>",
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
]
},
"accessible_by_keys": [
"<string>"
]
}
],
"total": 123
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Query Parameters
Filter models by name (case-insensitive partial match)
Filter by specific provider name
Comma-separated list of key IDs to filter models accessible by those keys
Maximum number of results to return (default 20)
If true, return all models including those filtered out by provider-level restrictions
Was this page helpful?
⌘I

